Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
ossl_x509.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros
#define | DefX509Const(x) rb_define_const(mX509, #x, INT2NUM(X509_##x))
#define | DefX509Default(x, i) rb_define_const(mX509, "DEFAULT_" #x, rb_str_new2(X509_get_default_##i()))

## Functions
ASN1_TIME * | ossl_x509_time_adjust (ASN1_TIME *s, VALUE time)
void | Init_ossl_x509 (void)

## Variables
VALUE | mX509

## Macro Definition Documentation

## ◆ DefX509Const

#define DefX509Const | ( |  | x | ) | rb_define_const(mX509, #x, INT2NUM(X509_##x))

Definition at line 14 of file ossl_x509.c.

## ◆ DefX509Default

#define DefX509Default | ( |  | x,
|  |  | i
| ) |  | rb_define_const(mX509, "DEFAULT_" #x, rb_str_new2(X509_get_default_##i()))

Definition at line 15 of file ossl_x509.c.

## Function Documentation

## ◆ Init_ossl_x509()

void Init_ossl_x509 | ( | void |  | ) |

Definition at line 30 of file ossl_x509.c.

References DefX509Const, DefX509Default, Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), Init_ossl_x509store(), mOSSL, mX509, rb_define_module(), and rb_define_module_under().

## ◆ ossl_x509_time_adjust()

ASN1_TIME* ossl_x509_time_adjust | ( | ASN1_TIME * | s,
|  | VALUE | time
| ) |  |

Definition at line 19 of file ossl_x509.c.

References ossl_time_split(), and time().

## Variable Documentation

## ◆ mX509

VALUE mX509

Definition at line 12 of file ossl_x509.c.

Referenced by Init_ossl_x509(), Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509req(), Init_ossl_x509revoked(), and Init_ossl_x509store().